×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Registered User
    Join Date
    Dec 2008
    Posts
    1

    Help! - Expired Certificate Error with Nokia 5800

    I am a new user of Carbide and I wonder anyone can help me on the following:

    I created a S60 5th theme using Carbide 3.3.

    I generated the key pair and packaged the theme into a sis file using the built-in function in Carbide.

    I opened the certificate file in Windows and it clearly stated that the certificate is valid from 12/11/2008 (i.e. today) to 12/10/2013. (a 5-year certificate)

    I transferred the sis file to my Nokia 5800. When I installed the sis on the phone, I received an "Expired Certificate" error.

    Is this a problem with my phone or is this a problem with Carbide? (Note: I already tried a hard reset on my phone and this problem still continues).

    Does anyone know how to get around this problem?

    Any advice would be appreciated.

    Thanks in advance.

  2. #2
    Nokia Developer Expert
    Join Date
    Jun 2008
    Posts
    109

    Re: Help! - Expired Certificate Error with Nokia 5800

    Hi!
    While installing the sis file there might be 2 reasons why the certificate error may be seen:
    1) The Online Certificate Check is "On" for all the installation :
    Work-around
    -> Change the status of Online Certificate Check to "Off" for all the installation (usually this is found in Settings->Application manager)
    2) The date/time difference when the certificates are created and the date/time set in the device
    Work-around
    -> The date/time of creation of the certificates must be before the date/time thats set in the device.

    BR,
    PG

  3. #3
    Registered User
    Join Date
    Dec 2008
    Posts
    3

    Re: Help! - Expired Certificate Error with Nokia 5800

    Same problem during installing demo Theme from Carbide.
    Still need help.

  4. #4
    Registered User
    Join Date
    Mar 2009
    Posts
    1

    Re: Help! - Expired Certificate Error with Nokia 5800

    Quote Originally Posted by phoneyguy View Post
    Hi!
    While installing the sis file there might be 2 reasons why the certificate error may be seen:
    1) The Online Certificate Check is "On" for all the installation :
    Work-around
    -> Change the status of Online Certificate Check to "Off" for all the installation (usually this is found in Settings->Application manager)
    2) The date/time difference when the certificates are created and the date/time set in the device
    Work-around
    -> The date/time of creation of the certificates must be before the date/time thats set in the device.

    BR,
    PG
    Sorry but neither of these things work. I cannot even download apps direct from Nokia?

  5. #5
    Registered User
    Join Date
    Feb 2005
    Posts
    4

    Re: Help! - Expired Certificate Error with Nokia 5800

    I also have this problem with my 5800.

    Even installs from Download! give the "Expired certificate" error.

    My 5800 is v20.0.012 firmware. IMEI is 353205032374439

    I have installed many other .sis on the 5800 phone before now both by
    direct download and by PC suite and from Download!. I have not received an expired
    certificate before now.

    I have checked the date on the phone, it is correct.

    I have checked
    Settings/Application mgr/Installation sett/Online certificate check is Off.

  6. #6
    Nokia Developer Moderator
    Join Date
    Sep 2004
    Location
    Tampere, Finland
    Posts
    11,355

    Re: Help! - Expired Certificate Error with Nokia 5800

    See posts #13, #14 and #15 at http://discussion.forum.nokia.com/fo...775#post532775

    Remember to search for existing solutions when running into problems, chances are that you are not the first one facing the problem.s
    -- Lucian

    If you are not yet a DVLUP member it is time to correct that mistake :) Click here to join: http://www.dvlup.com/lucian/Invite

  7. #7
    Registered User
    Join Date
    Feb 2009
    Posts
    1

    Re: Help! - Expired Certificate Error with Nokia 5800

    Quote Originally Posted by honsq View Post
    I am a new user of Carbide and I wonder anyone can help me on the following:

    I created a S60 5th theme using Carbide 3.3.

    I generated the key pair and packaged the theme into a sis file using the built-in function in Carbide.

    I opened the certificate file in Windows and it clearly stated that the certificate is valid from 12/11/2008 (i.e. today) to 12/10/2013. (a 5-year certificate)

    I transferred the sis file to my Nokia 5800. When I installed the sis on the phone, I received an "Expired Certificate" error.

    Is this a problem with my phone or is this a problem with Carbide? (Note: I already tried a hard reset on my phone and this problem still continues).

    Does anyone know how to get around this problem?

    Any advice would be appreciated.

    Thanks in advance.
    I had the same problem on My Nokia 5800, all I did was change the date on the phone to a year before the current date. This should fix the problem

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •